Skip to main content
`Ctrl`+`K`

# MatSeqAIJRegisterAll

Registers all of the matrix subtypes of `MATSSEQAIJ`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJRegisterAll(void)

Not Collective

## Note

This registers the versions of `MATSEQAIJ` for GPUs

## See Also

Matrices, `Mat`, `MatRegisterAll()`, `MatSeqAIJRegister()`

## Level

advanced

## Location

src/mat/impls/aij/seq/aij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages